## Key Specification (key_spec)

A key specification (key_spec) allows table rows to be located whose key column values match the values in the key specification. A row with the specified key values does not have to exist.

### Syntax

<key_spec> ::= <column_name> = <value_spec>

### Explanation

The value specification value_spec must not be NULL.

The column name column_name must identify a key column in the table.

The key specification must contain all the key columns in a table. The individual key specifications key_spec must be separated by commas.

For tables defined without key columns, an implicitly generated column exists – SYSKEY CHAR(8) BYTE, which contains a key integrated by the database system. This column can be used in a key specification.

A key specification is used in the following SQL statements:

UPDATE Statement (update_statement), DELETE Statement (delete_statement), LOCK Statement (lock_statement), UNLOCK Statement (unlock_statement)